Subject: bug#26339: closed (closing bootloader serie.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 Oct 2017 14:10:03 +0000

Your bug report

#26339: [PATCH 00/18] wip: Support non grub bootloaders.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26339: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26339
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: closing bootloader serie.
From: Mathieu Othacehe <[email-masked]>
To: [email-masked]
Date: Fri, 13 Oct 2017 16:08:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

All the related patches are merged by now. 

Mathieu

Subject: [PATCH 00/18] wip: Support non grub bootloaders.
From: Mathieu Othacehe <[email-masked]>
To: [email-masked]
Cc: Mathieu Othacehe <[email-masked]>
Date: Sun, 2 Apr 2017 15:49:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Here's a first draft of my work on bootloaders.
Basically, I rebased David patches and started to work on top of it.

I adapted system commands "init", "reconfigure" and "switch-generation"
to the new bootloader API.

All of this is functional with my basic configuration. Don't hesitate
to test this out and comment !

I still have to update documentation. I also left untested UEFI related
stuff.

Thanks,

Mathieu

David Craven (4):
  system: Pass <bootloader-parameter> to grub.
  system: Add extlinux support.
  scripts: system: Rename --no-grub option to --no-bootloader.
  bootloader: Add install procedures and use them.

Mathieu Othacehe (14):
  system: Rename operating-system-grub.cfg to operating-system-bootcfg.
  vm: Reword grub.cfg to boot.cfg
  system: Add bootloader type.
  bootloader: Stop using grub module.
  scripts: system: Move save-load-path-excursion and
    save-environment-excursion macros to the top.
  system: Rename kernel->grub-label to kernel->boot-label.
  bootloader: Add device and type to bootloader-configuration record.
  system: Rename grub-device to fs->boot-device.
  scripts: system: Remove unused variables.
  scripts: system: Rename grub? and install-grub? to bootloader? and
    install-bootloader?.
  scripts: system: Adapt "reconfigure" to new bootloader API.
  scripts: system: Adapt "init" to new bootloader API.
  scripts: system: Adapt "switch-generation" to new bootloader API.
  scripts: system: Display bootloader device and type in
    "list-generations".

 gnu.scm                   |   3 +-
 gnu/build/install.scm     |  36 ++---
 gnu/build/vm.scm          |  22 +--
 gnu/local.mk              |   1 +
 gnu/system.scm            |  72 +++++++---
 gnu/system/bootloader.scm | 253 +++++++++++++++++++++++++++++++++
 gnu/system/grub.scm       |  41 ++++--
 gnu/system/vm.scm         |  52 ++++---
 gnu/tests.scm             |   3 +-
 gnu/tests/nfs.scm         |   3 +-
 gnu/tests/web.scm         |   2 +-
 guix/scripts/system.scm   | 353 ++++++++++++++++++++++++++--------------------
 tests/guix-system.sh      |   2 -
 tests/system.scm          |   2 -
 14 files changed, 592 insertions(+), 253 deletions(-)
 create mode 100644 gnu/system/bootloader.scm

-- 
2.12.2